function Dfs61000_SubstituicaoNfse_Controller(General, ScreenService, templateManager, restEngine) {

    var self = this;

    this.actNovoSubstituicao = function(args) {
        var widget = args.owner.widget;
        widget.newRow();
        widget.template = "/widget/form.html";
        widget.currentRow.__is_new = true;
        
        var row = templateManager.containers["df_saida#dfs61000_transmissao_nfse"].getWidget("wdgTransmissaoNfse").currentRow;
        
        widget.currentRow.P_CDFILIAL        = row.CDFILIAL;
        widget.currentRow.P_NRLANCTONF      = row.NRLANCTONF;
        widget.currentRow.P_CDINSCESTA      = row.CDINSCESTA;
        widget.currentRow.P_CDINSCMUNI      = row.CDINSCMUNI;
        widget.currentRow.P_NRINSJURIEST    = row.NRINSJURIEST;
        
        //this.defineParametrosBuscaNfse();
    };
    
    this.actEditaSubstituicao = function(args) {
        General.widgetEdit(args.owner.widget);
        args.owner.widget.template = args.owner.widget.templateToForm;
    };

    this.actCancelaSubstituicao = function(args){
        //General.widgetEdit(args.owner.widget);
        args.owner.widget.list();
        args.owner.widget.template = "/widget/form-view.html";
        args.owner.widget.reload();
    };
    
    this.validaActionVisivel = function(){
        var widget = templateManager.container.getWidget("wdgSubstituicaoNfse");
        var dados = widget.dataSource.data;
        
        if(dados.length > 0){
            widget.currentRow = dados[0];
            
            widget.getAction('novo').isVisible      = false;
            widget.getAction('editar').isVisible    = true;
            widget.getAction('excluir').isVisible    = true;
        }else{
            widget.currentRow = {};
            
            widget.getAction('novo').isVisible      = true;
            widget.getAction('editar').isVisible    = false;
            widget.getAction('excluir').isVisible    = false;
        }
    };
    
    this.voltarParaTransmissao = function() {
        ScreenService.goBack();
        templateManager.containers["df_saida#dfs61000_transmissao_nfse"].getWidget("wdgTransmissaoNfse").reload();
    };

    this.defineParametros = function() {
        var row = templateManager.containers["df_saida#dfs61000_transmissao_nfse"].getWidget("wdgTransmissaoNfse").currentRow;
        var widget = templateManager.containers["df_saida#dfs61000_substituicao_nfse"].getWidget("wdgSubstituicaoNfse");
        
        if(widget.currentRow.__is_new !== true){
            widget.dataSourceFilter[0].value = row.CDFILIAL;
            widget.dataSourceFilter[1].value = row.NRLANCTONF;
            widget.reload([],false);
        }

    };
    
    this.defineParametrosBuscaNfse = function() {
        var row = templateManager.containers["df_saida#dfs61000_transmissao_nfse"].getWidget("wdgTransmissaoNfse").currentRow;
        var widget = templateManager.containers["df_saida#dfs61000_substituicao_nfse"].getWidget("wdgSubstituicaoNfse");
        
        //if(widget.dataSource.data.length > 0){
            widget.currentRow.P_CDFILIAL        = row.CDFILIAL;
            widget.currentRow.P_NRLANCTONF      = row.NRLANCTONF;
            widget.currentRow.P_CDINSCESTA      = row.CDINSCESTA;
            widget.currentRow.P_CDINSCMUNI      = row.CDINSCMUNI;
            widget.currentRow.P_NRINSJURIEST    = row.NRINSJURIEST; 
        //}
    };
    
    this.setFiliLancOnChange = function(args){
        var widget = args.owner.owner.widget;
        widget.currentRow.CDFILIAL = widget.currentRow.P_CDFILIAL;
        widget.currentRow.NRLANCTONF = widget.currentRow.P_NRLANCTONF;
    };
    
    this.actSalvarSubstituicao = function(args){
        General.saveRow(args);
        args.owner.widget.list();
        args.owner.widget.template = "/widget/form-view.html";
        args.owner.widget.reload();
    };
    
}

Configuration(function (ContextRegister) {
    ContextRegister.register("Dfs61000_SubstituicaoNfse_Controller", Dfs61000_SubstituicaoNfse_Controller);
});